import { RippleAPI } from 'ripple-lib';
import BigNumber from 'bignumber.js';
import StoreWrapper from './store-wrapper';
import { Claim, Paychan } from './util';
export interface AccountParams {
    account: string;
    store: StoreWrapper;
    api: RippleAPI;
    currencyScale: number;
    log: any;
}
export default class Account {
    private _store;
    private _account;
    private _api;
    private _currencyScale;
    private _paychan?;
    private _clientPaychan?;
    private _clientChannel?;
    private _funding;
    private _claimIntervalId?;
    private _log;
    constructor(opts: AccountParams);
    xrpToBase(amount: BigNumber.Value): string;
    getAccount(): string;
    getPaychan(): any;
    getClientPaychan(): Paychan | void;
    setClaimIntervalId(claimIntervalId: number): void;
    getClaimIntervalId(): number | void;
    getLastClaimedAmount(): string;
    setLastClaimedAmount(amount: string): void;
    isFunding(): boolean;
    setFunding(funding: boolean): void;
    connect(): Promise<void>;
    disconnect(): Promise<void>;
    getBalance(): BigNumber;
    getIncomingClaim(): Claim;
    getChannel(): string | void;
    isBlocked(): boolean;
    getClientChannel(): string | void;
    getOutgoingBalance(): BigNumber;
    setBalance(balance: string): void;
    setIncomingClaim(incomingClaim: Claim): void;
    setChannel(channel: string, paychan: Paychan): void;
    deleteChannel(): void;
    block(isBlocked?: boolean): void;
    setClientChannel(clientChannel: string): Promise<void>;
    setOutgoingBalance(outgoingBalance: string): void;
}
